/**
\mainpage

\section sec_intro_hppDevice Introduction

This package contains classes representing robots, humanoid robots, joints and bodies with 
\li dynamic properties (mass, inertia, velocity, acceleration,...) that are implemented through <a href="/home/florent/devel/share/doc/abstractRobotDynamics/html/main.html">robot dynamics</a> abstract interfaces,
\li geometric properties (kinematic chain, distance to obstacles) that are implemented by <a href="/home/florent/openrobots/kineo/share/doc/KPP SDK/html/main.html">KineoWorks</a>.

\section sec_hppDevice_organization_classes Organization of the classes

\subsection subsec_hppDevice_robots Robots

The following figure displays the inheritance diagram between classes of KineoWorks and robot dynamics packages and implementation classes of robot dynamics classes. classes CimplDynamicRobot and CimplHumanoidDynamicRobot are implementations of respectively CjrlDynamicRobot and CjrlHumanoidDynamicRobot. 
\image html classDiagramRobot.png "Inheritance diagram between classes implementing robots. Lines represent inheritance, thin lines reprensent virtual inheritance."

\subsubsection subsubsec_humanoid_optimized Optimized implementation of humanoid robot.

It is possible to instantiate an optimized implementation of a humanoid robot through a template mechanism explained in documentation of class ChppSpecificHumanoidRobot.

\subsection subsec_hppDevice_joints Joints

The following figure displays the inheritance diagram between classes representing robot joints.
\li CimplJoint is an implementation of CjrlJoint,
\li CimplJointFreeFlyer is an implementation of freeflyer joint deriving from CimplJoint,
\li CimplJointRotation is an implementation of rotation joint deriving from CimplJoint,
\li CimplJointTranslation is an implementation of translation joint deriving from CimplJoint.

\image html classDiagramJoint.png "Inheritance diagram between classes implementing joints. Dashed lines represent attributes."

\subsection subsec_hppDevice_bodies Bodies

The following figure displays the inheritance diagram between classes implementing robot bodies.
\li CimplBody is an implementation of CjrlBody.

\image html classDiagramBody.png "Inheritance diagram between classes implementing bodies."


*/
